<?php
/**
 * Functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package travel knock
 * @since 1.0.0
 */


function travel_knock_styles() {

	wp_enqueue_style(
		'travel-knock-style',
		get_stylesheet_uri(),
		array(),
		wp_get_theme()->get( 'Version' )
	);

	wp_enqueue_style(
		'travel-knock-custom-style',
		get_template_directory_uri() . '/assets/custom.css',
		array(),
		wp_get_theme()->get( 'Version' )
	);

	wp_enqueue_script(
		'travel-knock-custom-js',
		get_template_directory_uri() . '/assets/custom.js',
		array( 'jquery' ),
		wp_get_theme()->get( 'Version' ),
		true
	);

}
add_action( 'wp_enqueue_scripts', 'travel_knock_styles' );


function travel_knock_register_block_pattern_categories() {
	register_block_pattern_category(
		'travel-knock-block-category',
		array( 'label' => __( 'Travel Knock', 'travel-knock' ) )
	);

}
add_action( 'init', 'travel_knock_register_block_pattern_categories' );


require get_template_directory() . '/tgm-plugin/tgm-hook.php';
